import { useEffect } from 'react';
var defaultTarget = typeof window === 'object' ? window : null;
var useEvent = function (name, handler, target, options) {
    if (target === void 0) { target = defaultTarget; }
    useEffect(function () {
        if (!handler)
            return;
        if (!target)
            return;
        var fn = (target.addEventListener || target.on);
        fn.call(target, name, handler, options);
        return function () {
            var fn = (target.removeEventListener || target.off);
            fn.call(target, name, handler, options);
        };
    }, [name, handler, target, JSON.stringify(options)]);
};
export default useEvent;
